<?php
namespace nur\mapper\base\impl;

use nur\mapper\base\Consumer;

class ResultConsumer extends Consumer {
  function cook($item) {
    $this->result[] = $item;
  }

  public $result;

  function getResult(): array {
    return $this->result;
  }
}